Subject: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Stefan Monnier <[email-masked]>
Date: Fri, 21 Sep 2012 16:34:41 -0400

>> Sorry, can't remember.  Probably because I generally prefer passing
>> arguments explicitly over passing them via dynamic binding.
> We have gobs of functions in Emacs that access global variables like
> Vdynamic_library_alist.  I don't think one more function will change
> anything.

The question is not "global or not" but "let-bound or not".
If it's generally accessed as a global var, that's perfectly fine.
If it's generally let-bound, I prefer an explicit argument.

        Stefan